Freeciv-3.1: generate_packets Namespace Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Functions | Variables
generate_packets Namespace Reference

## Data Structures

class | Field
class | Packet
class | Type
class | Variant

## Functions

| verbose (s)
| prefix (prefix, str)
| write_disclaimer (f)
| fc_open (name)
| get_choices (all)
| without (all, part)
| parse_fields (str, types)
| get_packet_functional_capability (packets)
| get_report (packets)
| get_reset (packets)
| get_packet_name (packets)
| get_packet_has_game_info_flag (packets)
| get_packet_handlers_fill_initial (packets)
| get_packet_handlers_fill_capability (packets)
| get_enum_packet (packets)
| strip_c_comment (s)
| main ()

## Variables

int | generate_stats = 0
| The following parameters change the amount of output.
int | generate_logs = 1
str | use_log_macro = "log_packet_detailed"
int | generate_variant_logs = 1
int | fold_bool_into_header = 1
| The following parameters CHANGE the protocol.
int | lazy_overwrite = 0

## Function Documentation

## ◆ fc_open()

generate_packets.fc_open | ( |  | name | ) |

Definition at line 60 of file generate_packets.py.

Referenced by main().

## ◆ get_choices()

generate_packets.get_choices | ( |  | all | ) |

Definition at line 66 of file generate_packets.py.

## ◆ get_enum_packet()

generate_packets.get_enum_packet | ( |  | packets | ) |

Definition at line 1866 of file generate_packets.py.

Referenced by main().

## ◆ get_packet_functional_capability()

generate_packets.get_packet_functional_capability | ( |  | packets | ) |

Definition at line 1610 of file generate_packets.py.

Referenced by main().

## ◆ get_packet_handlers_fill_capability()

generate_packets.get_packet_handlers_fill_capability | ( |  | packets | ) |

Definition at line 1777 of file generate_packets.py.

Referenced by main().

## ◆ get_packet_handlers_fill_initial()

generate_packets.get_packet_handlers_fill_initial | ( |  | packets | ) |

Definition at line 1716 of file generate_packets.py.

Referenced by main().

## ◆ get_packet_has_game_info_flag()

generate_packets.get_packet_has_game_info_flag | ( |  | packets | ) |

Definition at line 1683 of file generate_packets.py.

Referenced by main().

## ◆ get_packet_name()

generate_packets.get_packet_name | ( |  | packets | ) |

Definition at line 1653 of file generate_packets.py.

Referenced by main().

## ◆ get_report()

generate_packets.get_report | ( |  | packets | ) |

Definition at line 1622 of file generate_packets.py.

Referenced by main().

## ◆ get_reset()

generate_packets.get_reset | ( |  | packets | ) |

Definition at line 1639 of file generate_packets.py.

Referenced by main().

## ◆ main()

generate_packets.main | ( |  | ) |

Definition at line 1913 of file generate_packets.py.

Referenced by main().

## ◆ parse_fields()

generate_packets.parse_fields | ( |  | str,
|  |  | types
| ) |  |

Definition at line 95 of file generate_packets.py.

## ◆ prefix()

generate_packets.prefix | ( |  | prefix,
|  |  | str
| ) |  |

Definition at line 44 of file generate_packets.py.

Referenced by generate_packets.Field.get_get_wrapper(), and generate_packets.Variant.get_receive().

## ◆ strip_c_comment()

generate_packets.strip_c_comment | ( |  | s | ) |

Definition at line 1899 of file generate_packets.py.

Referenced by main().

## ◆ verbose()

generate_packets.verbose | ( |  | s | ) |

Definition at line 40 of file generate_packets.py.

Referenced by fc_open().

## ◆ without()

generate_packets.without | ( |  | all,
|  |  | part
| ) |  |

Definition at line 79 of file generate_packets.py.

## ◆ write_disclaimer()

generate_packets.write_disclaimer | ( |  | f | ) |

Definition at line 49 of file generate_packets.py.

Referenced by fc_open().

## Variable Documentation

## ◆ fold_bool_into_header

int generate_packets.fold_bool_into_header = 1

The following parameters CHANGE the protocol.

You have been warned.

Definition at line 29 of file generate_packets.py.

## ◆ generate_logs

int generate_packets.generate_logs = 1

Definition at line 24 of file generate_packets.py.

## ◆ generate_stats

int generate_packets.generate_stats = 0

The following parameters change the amount of output.

Definition at line 21 of file generate_packets.py.

## ◆ generate_variant_logs

int generate_packets.generate_variant_logs = 1

Definition at line 26 of file generate_packets.py.

## ◆ lazy_overwrite

int generate_packets.lazy_overwrite = 0

Definition at line 38 of file generate_packets.py.

## ◆ use_log_macro

str generate_packets.use_log_macro = "log_packet_detailed"

Definition at line 25 of file generate_packets.py.